# Linker config file for targeting the Atari 2600.

MEMORY {
       TIA:   start = $00,   size=$40,   type = rw, define = yes;
       RAM:   start = $80,   size=$80,   type = rw, define = yes;
       RIOT:  start = $280,  size=$20,   type = rw, define = yes;
       ROM:   start = $F000, size=$1000, type = ro, file = %O, define = yes;
}

SEGMENTS {
       RODATA:   load = ROM, type = ro, align = $100;	
       CODE:     load = ROM, type = ro, define = yes;
       DATA:     load = ROM, type = rw, define = yes, run = RAM;
       BSS:      load = RAM, type = bss, define = yes;
       VECTORS:  load = ROM, type = ro, start = $FFFA;
       ZEROPAGE: load = RAM, type = zp;
       TIA:      load = TIA, type = rw, define = yes, optional = yes;
       RIOT:     load = RIOT, type = rw, define = yes, optional = yes;
}

