
.include "vcs.inc"
.include "globals.inc"

.segment "ZEROPAGE"
counter: .byte $00

.segment "CODE"

reset:
   sei
   cld
   ldx #$ff
   txs
   inx
   txa
@loop:
   sta $00,x
   inx
   bne @loop

   lda #$0f
   sta SWACNT
   
vblankstart:
   lda #$02
   sta WSYNC
   sta VBLANK
   sta WSYNC
   sta WSYNC
   sta WSYNC
   sta VSYNC
   sta WSYNC
   sta WSYNC
   lda #$29
   sta TIM64T
   lda #$00
   sta WSYNC
   sta COLUBK
   sta VSYNC
   
waitforpicturestart:
   lda #$2f
   sta TIM64T
   jsr calcbeamrider
   jsr calcscroll
@wait:
   lda INTIM
   bne @wait
   sta VBLANK
   
   ldx #$03
@loop3:
   sta WSYNC
   dex
   bne @loop3
   
   jsr logodraw
   jsr scrollerstart
   jsr beamrider
   lda SWCHB
   and #$40
   beq nojoy
   nop
   nop
   nop
   lda SWCHA
   bne joy
nojoy:
   inc counter
   lda counter
   nop
   nop
   nop
   nop
   jmp joy+4
joy:
   lsr
   lsr
   lsr
   lsr
   sta SWCHA

   ldx #$0b
@loop4:
   sta WSYNC
   dex
   bne @loop4
   
   jmp vblankstart
